package com.logicbig.example;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan
public class AppRunner {
    private Greeter greeter;

    public AppRunner(Greeter greeter) {
        this.greeter = greeter;
    }

    public static void main(String... strings) {
        AnnotationConfigApplicationContext context =
                new AnnotationConfigApplicationContext(AppRunner.class);

        AppRunner appRunner = context.getBean(AppRunner.class);
        appRunner.greeter.greet("Joe");
    }
}